{#LG 20190701 début#}
{% extends "@Paa/Default/entityFormBase.html.twig" %}
{#LG 20190701 fin#}

{% block formulaire %}
    <div id="entityFormTreeview_DataNodes" style="display:none;">{{ psDataNodes }}</div>
    {#Boutons#}
    <div class="col-md-12" style="height: 100%">
        <div class="row" style="height: 100%">
            <div class='col-md-4' style="height: 100%; margin-top: 20px; margin-right: 30px;">
                {% include '@Paa/form/intervenants_OngletCompétences_TreeActiBases.html.twig' %}
            </div>
            <div class='col-md-7' style="height: 100%">
                <div id="formulaire_DataTable_compétencesRessources" style="height: 100%">
                    {% include '@Paa/form/usagers_OngletCompétences_ListeCompétences.html.twig' %}
                </div>
            </div>
        </div>
    </div>
{% endblock %}

{#Scripts qui doivent s'exécuter à la fin du body#}
{% block fin %}
    {#    Script pour le treeview#}
    <link rel="stylesheet" href="{{asset_version('bootstrap-treeview/bootstrap-treeview.css')}}" />
    <script type="text/javascript" src="{{asset_version('bootstrap-treeview/bootstrap-treeview.js')}}"></script>

    <script>
        function actiBasesCompétences_ToggleAllCompétences(Onglet, context) {
            // Check/uncheck all checkboxes in the table
            var FirstLetter = Onglet.substr(0, 1);
            var table = $('#entityFormBaseGrille_DataTable_' + Onglet).DataTable();
            var rows = table.rows({'search': 'applied'}).nodes();
            $('#' + FirstLetter, rows).prop('checked', context.checked);
        }

        function actiBasesCompétences_ToggleCompétence(Onglet, context) {
            if (!context.checked) {
                var el = $('#select-all-' + Onglet.substr(0, 1)).get(0);
                // If "Select all" control is checked and has 'indeterminate' property
                if (el && el.checked && ('indeterminate' in el)) {
                    // Set visual state of "Select all" control 
                    // as 'indeterminate'
                    el.indeterminate = true;
                }
            }
        }
        $(document).ready(pageEntityFormCompetence_DocumentReady);

        function pageEntityFormCompetence_DocumentReady() {
            // Récupérer les noms et libellés de la table gérée par la grille, puis changer l'Id des zones, pour éviter les confusuions avec les sous-formulaires
            $('body').css('height', 'calc(100% - 140px)');
            var lsNomTable = $('#NomTable').text();
            var lsLibelléTable = $('#LibelléTable').text();
            $('#NomTable').prop("id", "NomTable_" + lsNomTable);
            $('#LibelléTable').prop("id", "LibelléTable_" + lsNomTable);
        }
        function addElement(Type) {
            window.entityFormTreeview.oTreeview.AddNode(document.getElementById('entityFormTreeview_DataNodes').textContent, $('#entityFormTreeview_Treeview').treeview('getSelected'), Type, window.entityFormTreeview)
        }


    </script>
{% endblock %}